Index: branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_post/libIGCM_post.ksh	(revision 571)
@@ -322,68 +325,66 @@
                         IGCM_sys_QsubPost create_ts
 EOF
-	                #
-		    fi
-		    #
-		    export DateBegin=${SavedDateBegin}
-		    #
-		    (( i=i+1 ))
-		    #
-		done
-	    fi
-	    (( j=j+1 ))
+	  #
+	  fi
+	  #
+	  export DateBegin=${SavedDateBegin}
+	  #
+	  (( i=i+1 ))
+	  #
 	done
-    fi
-
-    #=============  SEASONAL POST-TREATMENT ============#
-    if [ ${SeasonalFrequency} = true ] ; then
-        #
-        IGCM_debug_Print 1 "SEASONNAL POST-TREATMENT"
-        echo
+      fi
+      (( j=j+1 ))
+    done
+  fi
+
+  #=============  SEASONAL POST-PROCESSING ============#
+  if [ ${SeasonalFrequency} = true ] ; then
+    #
+    IGCM_debug_Print 1 "SEASONNAL POST-PROCESSING"
+    echo
+    #
+    Script_Post_Output=create_se.${PeriodDateEnd}
+    #
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+
+    if [ ${RebuildFrequency} = true ] ; then
+      #
+      if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
 	#
-	Script_Post_Output=create_se.${PeriodDateEnd}
-        #
-	listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
-
-	if [ ${RebuildFrequency} = true ] ; then
-	    #
-	    if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
-	        #
-		if [ X${MASTER} = Xtitane ] ; then
-		    echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		fi
-		echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export DateBegin=${DateBegin}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		if [ X${MASTER} = Xtitane ] ; then
-		    echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		    echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		fi
-		echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		echo "IGCM_sys_QsubPost create_se                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		if [ X${MASTER} = Xtitane ] ; then
-		    echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-		fi
-	        #
-	    fi
-	else
-	    #
-            IGCM_sys_RshPost <<-EOF
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RebuildFrequency=${RebuildFrequency}    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export DateBegin=${DateBegin}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	  echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_sys_QsubPost create_se                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+      fi
+    else
+      IGCM_sys_RshPost <<-EOF
             export DEBUG_debug=${DEBUG_debug}
             export MODIPSL=${MODIPSL}
@@ -411,73 +412,138 @@
             IGCM_sys_QsubPost create_se
 EOF
-	#
-	fi
     fi
-
-    #============== REBUILD POST-TREATMENT =============#
-    if ( [ ! X${config_Post_RebuildFrequency} = X${NULL_STR} ] && [ ! X${config_Post_RebuildFrequency} = XNONE ] ) ; then
-	# -----------------------------------------------------------------------------------
-        # Function IGCM_FlushRebuild define in rebuild.ksh has not been closed yet. Do it now
-        # -----------------------------------------------------------------------------------
-	if [ ${DRYRUN} -le 1 ] ; then
-	    echo "IGCM_debug_PopStack \"IGCM_FlushRebuild\" " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-	    echo "}                                         " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-	fi
-        if [ ${config_Post_RebuildFromArchive} = true ] ; then
-            IGCM_sys_Put_Dir REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
-        else
-            IGCM_sys_Mv      REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
-        fi
+  fi
+
+  #============== REBUILD POST-PROCESSING =============#
+  if [ X${AsynchronousRebuild} = Xtrue ] ; then
+    # -----------------------------------------------------------------------------------
+    # Function IGCM_FlushRebuild define in rebuild.ksh has not been closed yet. Do it now
+    # -----------------------------------------------------------------------------------
+    if [ ${DRYRUN} -le 1 ] ; then
+      echo "IGCM_debug_PopStack \"IGCM_FlushRebuild\" " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "}                                         " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
     fi
-    #
-    if [ ${RebuildFrequency} = true ] ; then
-        if ( [ ${config_Post_RebuildFromArchive} = true ] ) ; then
-            IGCM_debug_Print 1 "REBUILD POST-TREATMENT FROM ARCHIVE"
-            echo
-            #
-	    script=rebuild_fromArchive
-	else
-            IGCM_debug_Print 1 "REBUILD POST-TREATMENT FROM WORKDIR"
-	    echo
-	    #
-	    script=rebuild_fromWorkdir
-	fi
-	#
-	Script_Post_Output=${script}.${PeriodDateEnd}
-	#
-        listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,RebuildFromArchive,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
-        IGCM_sys_RshPost <<-EOF
-        export DEBUG_debug=${DEBUG_debug}
-        export MODIPSL=${MODIPSL}
-	export libIGCM_SX=${libIGCM}
-        export libIGCM=${libIGCM_POST}
-        export SUBMIT_DIR=${SUBMIT_DIR}
-        export REBUILD_DIR=${REBUILD_DIR}
-        export POST_DIR=${POST_DIR}
-        export MASTER=${MASTER}
-        export RebuildFromArchive=${config_Post_RebuildFromArchive}
-        export DateBegin=${DateBegin}
-        export PeriodDateBegin=${PeriodDateBegin}
-        export PeriodDateEnd=${PeriodDateEnd}
-        export NbRebuildDir=${NbRebuildDir}
-        export StandAlone=false
-        export RESOL_ATM=${RESOL_ATM}
-        export RESOL_OCE=${RESOL_OCE}
-        export RESOL_ICE=${RESOL_ICE}
-        export RESOL_MBG=${RESOL_MBG}
-        export RESOL_SRF=${RESOL_SRF}
-        export RESOL_SBG=${RESOL_SBG}
-        export listVarEnv=${listVarEnv}
-        export Script_Post_Output=${Script_Post_Output}
-        . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-        . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-        IGCM_sys_MkdirWork ${POST_DIR}
-        IGCM_debug_Verif_Exit_Post
-        IGCM_sys_QsubPost ${script}
+    if [ ${config_Post_RebuildFromArchive} = true ] ; then
+      IGCM_sys_Put_Dir REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
+    else
+      IGCM_sys_Mv      REBUILD_${PeriodDateBegin} ${REBUILD_DIR}
+    fi
+  fi
+  #
+  if [ ${RebuildFrequency} = true ] ; then
+    if ( [ ${config_Post_RebuildFromArchive} = true ] ) ; then
+      IGCM_debug_Print 1 "REBUILD POST-PROCESSING FROM ARCHIVE"
+      echo
+      #
+      script=rebuild_fromArchive
+    else
+      IGCM_debug_Print 1 "REBUILD POST-PROCESSING FROM WORKDIR"
+      echo
+      #
+      script=rebuild_fromWorkdir
+    fi
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,RebuildFromArchive,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export REBUILD_DIR=${REBUILD_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export RebuildFromArchive=${config_Post_RebuildFromArchive}
+    export DateBegin=${DateBegin}
+    export PeriodDateBegin=${PeriodDateBegin}
+    export PeriodDateEnd=${PeriodDateEnd}
+    export NbRebuildDir=${NbRebuildDir}
+    export StandAlone=false
+    export RESOL_ATM=${RESOL_ATM}
+    export RESOL_OCE=${RESOL_OCE}
+    export RESOL_ICE=${RESOL_ICE}
+    export RESOL_MBG=${RESOL_MBG}
+    export RESOL_SRF=${RESOL_SRF}
+    export RESOL_SBG=${RESOL_SBG}
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
 EOF
-
-    fi
-
-    IGCM_debug_PopStack "IGCM_post_Submit"
+  fi
+
+  #============== PACK PROCESSING FOR RESTART AND DEBUG FILES =============#
+  if [ ${PackFrequency} = true ] ; then
+    IGCM_debug_Print 1 "PACK POST-PROCESSING"
+    echo
+    ## Need to Remember This One
+    SavedDateBegin=${DateBegin}
+    ## Need to Remember This One
+    SavedDateEnd=${DateEnd}
+    #
+    DaysTemp=$(( $( IGCM_date_DaysInPreviousPeriod ${PeriodDateEnd} ${config_Post_PackFrequency} end ) - 1 ))
+    #
+    PackDateBegin=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateEnd} -${DaysTemp} )
+    #
+    script=pack_debug
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    #
+    script=pack_restart
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+
+    export DateBegin=${SavedDateBegin}
+    export DateEnd=${SavedDateEnd}
+  fi
+  IGCM_debug_PopStack "IGCM_post_Submit"
 }
 
@@ -485,113 +551,113 @@
 function IGCM_post_CheckModuloFrequency
 {
-    IGCM_debug_PushStack "IGCM_post_CheckModuloFrequency" $*
-
-    # Used by IGCM_config_Check
-    # from 2 libIGCM compatible frequency (*Y, *M, *D, *y, *m, *d)
-    # Issue an exit instruction IGCM_debug_Exit if there modulo is not zero
-    # Input parameter are the name of the variable, not the frequency value itself
-    # example
-    # IGCM_post_ModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
-
-    typeset MasterName SlaveName MasterFrequency SlaveFrequency PeriodMasterYear PeriodMasterMonth PeriodMasterDay PeriodSlaveYear PeriodSlaveMonth PeriodSlaveDay
-
-    # Get the name of the variable
-    MasterName=$1
-    SlaveName=$2
-    # Get the value the above name points to
-    MasterFrequency=$( eval echo \${${1}} )
-    SlaveFrequency=$( eval echo \${${2}} )
-
-    IGCM_debug_Print 2 "IGCM_post_CheckModuloFrequency : Master=${MasterFrequency} Slave=${SlaveFrequency}"
-
-    case ${MasterFrequency} in
-        *y|*Y)
-            PeriodMasterYear=$( echo ${MasterFrequency} | sed -e "s/[yY]//" )
-	    case ${SlaveFrequency} in
-		*Y|*y)
-		    PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
-		    if ( [ ${PeriodSlaveYear} -gt ${PeriodMasterYear} ] || \
-			[ $(( ${PeriodMasterYear} % ${PeriodSlaveYear} )) -ne 0 ] );  then
-			IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-			IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			IGCM_debug_Exit "Check your frequency"
-		    fi ;;
-		*M|*m)
- 	            PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
-		    if ( [ ${PeriodSlaveMonth} -gt $(( ${PeriodMasterYear} * 12 )) ] || \
-			[ $(( ( ${PeriodMasterYear} * 12 ) % ${PeriodSlaveMonth} )) -ne 0 ] ) ; then
-			IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-			IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			IGCM_debug_Exit "Check your frequency"
- 	            fi ;;
-                *D|*d)
-                    PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
-		    NbDays=$( IGCM_date_DaysInYear ${year} )
-		    if [ ${config_UserChoices_CalendarType} = 360d ] || [ ${config_UserChoices_CalendarType} = noleap ] ; then
-			if ( [ ${PeriodSlaveDay} -gt $(( ${PeriodMasterYear} * ${NbDays} )) ] || \
-			    [ $(( ( ${PeriodMasterYear} * ${NbDays} ) % ${PeriodSlaveDay} )) -ne 0 ] ; ) then
-			    IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-			    IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			    IGCM_debug_Exit "Check your frequency"
-			fi
-		    else
-			IGCM_debug_Print 1 "For ${MasterName} with leap calendar:"
-			IGCM_debug_Print 1 "We have a daily ${SlaveName} frequency and ${MasterName}=${MasterFrequency}"
-			IGCM_debug_Print 1 "No post-treatment. Case not properly handle at this moment by libIGCM. Sorry"
-			IGCM_debug_Exit    "Check your frequency ${MasterName} and choose a daily frequency for this one too."
-                    fi ;;
-	    esac ;;
-	*M|*m)
-	    PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
-            case ${SlaveFrequency} in		    
-		*Y|*y)
-		    PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
-		    if ( [ ${PeriodMasterMonth} -gt $(( ${PeriodSlaveYear} * 12 )) ] || \
-			[ $(( ${PeriodMasterMonth} % ( ${PeriodSlaveYear} * 12 ) )) -ne 0 ] ) ; then
-			IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-			IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			IGCM_debug_Exit "Check your frequency"
- 	            fi ;;
-		*M|*m)
-		    PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
-		    if ( [ ${PeriodSlaveMonth} -gt ${PeriodMasterMonth} ] || \
-			[ $(( ${PeriodMasterMonth} % ${PeriodSlaveMonth} )) -ne 0 ] ) ;  then		
-			IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-			IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			IGCM_debug_Exit "Check your frequency"
-		    fi ;;
-		*D|*d)
-		    IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-		    IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-		    IGCM_debug_Exit "Check your frequency" ;;
-	    esac ;;
-        *D|*d)
-            PeriodMasterDay=$( echo ${MasterFrequency} | sed -e "s/[dD]//" )
-            case ${SlaveFrequency} in
-                *Y|*y)
-                    IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-                    IGCM_debug_Print 1 "${MasterName} frequency ${MasterFrequency}"
-		    IGCM_debug_Exit "Check your frequency" ;;
-                *M|*m)
-                    IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-                    IGCM_debug_Print 1 "${MasterName} frequency ${MasterFrequency}"
-		    IGCM_debug_Exit "Check your frequency" ;;
-                *D|*d)
-                    PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
-                    if ( [ ${PeriodSlaveDay} -gt ${PeriodMasterDay} ] || \
-                        [ $(( ${PeriodMasterDay} % ${PeriodSlaveDay} )) -ne 0 ] ) ;  then
-                        IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
-                        IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
-			IGCM_debug_Exit "Check your frequency"
-                    fi ;;
-            esac ;;
-        NONE|none) 
-	    ;;
-	*)
-	    IGCM_debug_Print 1 "KeyWord ${MasterFrequency} not allowed for ${MasterName} in config.card"
-	    IGCM_debug_Exit "Check your ${MasterName} in config.card" ;;
-    esac
-
-    IGCM_debug_PopStack "IGCM_post_CheckModuloFrequency"
+  IGCM_debug_PushStack "IGCM_post_CheckModuloFrequency" $*
+
+  # Used by IGCM_config_Check
+  # from 2 libIGCM compatible frequency (*Y, *M, *D, *y, *m, *d)
+  # Issue an exit instruction IGCM_debug_Exit if there modulo is not zero
+  # Input parameter are the name of the variable, not the frequency value itself
+  # example
+  # IGCM_post_ModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
+
+  typeset MasterName SlaveName MasterFrequency SlaveFrequency PeriodMasterYear PeriodMasterMonth PeriodMasterDay PeriodSlaveYear PeriodSlaveMonth PeriodSlaveDay
+
+  # Get the name of the variable
+  MasterName=$1
+  SlaveName=$2
+  # Get the value the above name points to
+  MasterFrequency=$( eval echo \${${1}} )
+  SlaveFrequency=$( eval echo \${${2}} )
+
+  IGCM_debug_Print 2 "IGCM_post_CheckModuloFrequency : Master=${MasterFrequency} Slave=${SlaveFrequency}"
+
+  case ${MasterFrequency} in
+  *y|*Y)
+    PeriodMasterYear=$( echo ${MasterFrequency} | sed -e "s/[yY]//" )
+    case ${SlaveFrequency} in
+    *Y|*y)
+      PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
+      if ( [ ${PeriodSlaveYear} -gt ${PeriodMasterYear} ] || \
+	[ $(( ${PeriodMasterYear} % ${PeriodSlaveYear} )) -ne 0 ] );  then
+	IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+	IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	IGCM_debug_Exit "Check your frequency"
+      fi ;;
+    *M|*m)
+      PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
+      if ( [ ${PeriodSlaveMonth} -gt $(( ${PeriodMasterYear} * 12 )) ] || \
+	[ $(( ( ${PeriodMasterYear} * 12 ) % ${PeriodSlaveMonth} )) -ne 0 ] ) ; then
+	IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+	IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	IGCM_debug_Exit "Check your frequency"
+      fi ;;
+    *D|*d)
+      PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
+      NbDays=$( IGCM_date_DaysInYear ${year} )
+      if [ ${config_UserChoices_CalendarType} = 360d ] || [ ${config_UserChoices_CalendarType} = noleap ] ; then
+	if ( [ ${PeriodSlaveDay} -gt $(( ${PeriodMasterYear} * ${NbDays} )) ] || \
+	  [ $(( ( ${PeriodMasterYear} * ${NbDays} ) % ${PeriodSlaveDay} )) -ne 0 ] ; ) then
+	  IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+	  IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	  IGCM_debug_Exit "Check your frequency"
+	fi
+      else
+	IGCM_debug_Print 1 "For ${MasterName} with leap calendar:"
+	IGCM_debug_Print 1 "We have a daily ${SlaveName} frequency and ${MasterName}=${MasterFrequency}"
+	IGCM_debug_Print 1 "No post-treatment. Case not properly handle at this moment by libIGCM. Sorry"
+	IGCM_debug_Exit    "Check your frequency ${MasterName} and choose a daily frequency for this one too."
+      fi ;;
+    esac ;;
+  *M|*m)
+    PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
+    case ${SlaveFrequency} in		    
+    *Y|*y)
+      PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
+      if ( [ ${PeriodMasterMonth} -gt $(( ${PeriodSlaveYear} * 12 )) ] || \
+	[ $(( ${PeriodMasterMonth} % ( ${PeriodSlaveYear} * 12 ) )) -ne 0 ] ) ; then
+	IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+	IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	IGCM_debug_Exit "Check your frequency"
+      fi ;;
+    *M|*m)
+      PeriodSlaveMonth=$( echo ${SlaveFrequency} | sed -e "s/[mM]//" )
+      if ( [ ${PeriodSlaveMonth} -gt ${PeriodMasterMonth} ] || \
+	[ $(( ${PeriodMasterMonth} % ${PeriodSlaveMonth} )) -ne 0 ] ) ;  then		
+	IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+	IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	IGCM_debug_Exit "Check your frequency"
+      fi ;;
+    *D|*d)
+      IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+      IGCM_debug_Exit "Check your frequency" ;;
+    esac ;;
+  *D|*d)
+    PeriodMasterDay=$( echo ${MasterFrequency} | sed -e "s/[dD]//" )
+    case ${SlaveFrequency} in
+    *Y|*y)
+      IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${MasterName} frequency ${MasterFrequency}"
+      IGCM_debug_Exit "Check your frequency" ;;
+    *M|*m)
+      IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+      IGCM_debug_Print 1 "${MasterName} frequency ${MasterFrequency}"
+      IGCM_debug_Exit "Check your frequency" ;;
+    *D|*d)
+      PeriodSlaveDay=$( echo ${SlaveFrequency} | sed -e "s/[dD]//" )
+      if ( [ ${PeriodSlaveDay} -gt ${PeriodMasterDay} ] || \
+        [ $(( ${PeriodMasterDay} % ${PeriodSlaveDay} )) -ne 0 ] ) ;  then
+        IGCM_debug_Print 1 "${SlaveName} frequency ${SlaveFrequency} not compatbile with"
+        IGCM_debug_Print 1 "${MasterName} frequency : ${MasterFrequency}"
+	IGCM_debug_Exit "Check your frequency"
+      fi ;;
+    esac ;;
+  NONE|none)
+    ;;
+  *)
+    IGCM_debug_Print 1 "KeyWord ${MasterFrequency} not allowed for ${MasterName} in config.card"
+    IGCM_debug_Exit "Check your ${MasterName} in config.card" ;;
+  esac
+
+  IGCM_debug_PopStack "IGCM_post_CheckModuloFrequency"
 }
 
